php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16491 Fails to compile with apxs2
Submitted: 2002-04-08 07:51 UTC Modified: 2002-04-09 04:25 UTC
From: hjones at equiinet dot com Assigned:
Status: Not a bug Package: Apache2 related
PHP Version: 4.1.2 OS: Linux 2.4.2
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: hjones at equiinet dot com
New email:
PHP Version: OS:

 

 [2002-04-08 07:51 UTC] hjones at equiinet dot com
./configure --with-apxs2=/opt/apache/bin/apxs --without-mysql

produces:

sapi_apache2.c:31:25: apr_strings.h: No such file or directory
sapi_apache2.c:33:25: util_filter.h: No such file or directory

This also happens with 4.2.0RC2 - unsure as to whether this is due to missing files with PHP or Apache 2.0.35

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-08 09:02 UTC] sander@php.net
Try RC3 from www.php.net/~derick when it's out (scheduled for the 12th of April). Reopen if it still fails.
 [2002-04-08 09:14 UTC] hjones at equiinet dot com
Also fails currently with 4.3.0-dev from CVS (at 14:15 BST) with the same error, just for info...
 [2002-04-08 16:49 UTC] sniper@php.net
works fine here. I guess you have compiled apache2 wrong.
Or there is some bug in it. Not PHP problem anyway.

 [2002-04-09 04:25 UTC] hjones at equiinet dot com
Apache 2 was compiled with:

./configure --prefix=/opt/httpd --enable-expires --enable-headers --enable-davfs --enable-so --enable-dav --enable-info --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http --enable-ssl
 [2002-04-11 13:59 UTC] php_me at yahoo dot com
Could someone please post ./configure options for both Apache 2.0+ and PHP 4.2+ that have worked successfully together with mod_php - and your platform? It would be very helpful! I'm on RedHat 7.2.

Joel
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Nov 29 15:03:13 2021 UTC